Default Error Status 7 (device name doesn't match) in Custom Rec when trying to install zips

Hello! Recently purchased a used (but like new) S Relay off of Ebay. It came with 4.1.2 already installed.

Basically let me tell you a brief backstory: I started off by installing Custom Recovery (CWM PhilZ 6.07) using ODIN and backing a NANDroid Backup. Then flashed KitKat CM 11 from CWM (wanted to try it out but didn't like it more than Jellybean). So I restored my backup via custom recovery.

Then I tried unlocking the sim network from T-mobile so I can use this phone when I travel abroad (using the method in http://forum.xda-developers.com/show....php?t=2255892 ). But apparently I found this doesn't work except on the stock Ice Cream Sandwich rom. So I flashed the LH1 stock rom using ODIN. Then I did the unlock method and it appeared successful. (it recognized an AT&T sim I have without asking for an unlock code)

So long story short, I used the custom recovery again to restore to my stock version of 4.1.2 Jellybean. But my baseband version is still LH1. I want to update it to UVMA2. I tried using a zip to update it from LH1 to UVMA2. But it always fails and aborts. It gives me Error Status 7. Which from google apparently means the device name doesn't match the one on the zip package.

I also try installing other minor packages. Which all incur the same error 7. So I'm not really sure if I'm just a really stupid beginner. Or if I've messed something up when I went to Kitkat and back. Or perhaps when I downgraded to 4.0 to unlock the network....

I tried using this ( http://forum.xda-developers.com/show....php?t=2302599 ) guide to fix the packages by removing the initial device name check. Yet it still fails/aborts before trying to install.

Any help or insights for this beginner would be greatly appreciated, thank you

Edit: The device name should be "apexqtmo" apparently...

Was able to flash to UVBMC5 baseband. Is that perhaps the latest version? It appears to be one of the most recent from google.